Debian Bug report logs - #714317
python-docutils: ODT writer can't handle images with non-ASCII filenames: UnicodeEncodeError: 'ascii' codec can't encode characters

version graph

Package: python-docutils; Maintainer for python-docutils is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-docutils is src:python-docutils.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Thu, 27 Jun 2013 20:33:13 UTC

Severity: normal

Found in version python-docutils/0.10-3

Fixed in version python-docutils/0.11-1

Done: Michael Schutte <michi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#714317; Package python-docutils. (Thu, 27 Jun 2013 20:33:18 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-docutils: ODT writer can't handle images with non-ASCII filenames: UnicodeEncodeError: 'ascii' codec can't encode characters
Date: Thu, 27 Jun 2013 22:31:49 +0200
[Message part 1 (text/plain, inline)]
Package: python-docutils
Version: 0.10-3
Severity: normal

The ODT writer cannot handle images with filenames that contain 
non-ASCII characters:

$ rst2odt test.rst --traceback > /dev/null
Traceback (most recent call last):
  File "/usr/bin/rst2odt", line 29, in <module>
    description=description)
  File "/usr/lib/pymodules/python2.7/docutils/core.py", line 551, in publish_cmdline_to_binary
    config_section=config_section, enable_exit_status=enable_exit_status)
  File "/usr/lib/pymodules/python2.7/docutils/core.py", line 219, in publish
    output = self.writer.write(self.document, self.destination)
  File "/usr/lib/pymodules/python2.7/docutils/writers/__init__.py", line 80, in write
    self.translate()
  File "/usr/lib/pymodules/python2.7/docutils/writers/odf_odt/__init__.py", line 554, in translate
    self.assemble_my_parts()
  File "/usr/lib/pymodules/python2.7/docutils/writers/odf_odt/__init__.py", line 573, in assemble_my_parts
    self.store_embedded_files(zfile)
  File "/usr/lib/pymodules/python2.7/docutils/writers/odf_odt/__init__.py", line 598, in store_embedded_files
    destination1 = destination.decode('latin-1').encode('utf-8')
UnicodeEncodeError: 'ascii' codec can't encode characters in position 18-20: ordinal not in range(128)


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'experimental')
Architecture: i386 (x86_64)
Foreign Architectures: amd64

Kernel: Linux 3.9-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-docutils depends on:
ii  docutils-common  0.10-3
ii  python           2.7.5-2
ii  python-roman     1.4.0-2
ii  python-support   1.0.15

Versions of packages python-docutils recommends:
ii  docutils-doc     0.10-3
ii  libpaper-utils   1.1.24+nmu2
ii  python-imaging   1.1.7-4
ii  python-lxml      3.2.0-1
ii  python-pygments  1.6+dfsg-1

-- 
Jakub Wilk
[test.rst (text/plain, attachment)]

Reply sent to Michael Schutte <michi@debian.org>:
You have taken responsibility. (Mon, 05 Aug 2013 15:09:25 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Mon, 05 Aug 2013 15:09:25 GMT) Full text and rfc822 format available.

Message #8 received at 714317-close@bugs.debian.org (full text, mbox):

From: Michael Schutte <michi@debian.org>
To: 714317-close@bugs.debian.org
Subject: Bug#714317: fixed in python-docutils 0.11-1
Date: Mon, 05 Aug 2013 15:06:47 +0000
Source: python-docutils
Source-Version: 0.11-1

We believe that the bug you reported is fixed in the latest version of
python-docutils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 714317@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Schutte <michi@debian.org> (supplier of updated python-docutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 05 Aug 2013 16:47:43 +0200
Source: python-docutils
Binary: python-docutils python3-docutils docutils-common docutils-doc
Architecture: source all
Version: 0.11-1
Distribution: experimental
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Michael Schutte <michi@debian.org>
Description: 
 docutils-common - text processing system for reStructuredText - common data
 docutils-doc - text processing system for reStructuredText - documentation
 python-docutils - text processing system for reStructuredText (implemented in Pytho
 python3-docutils - text processing system for reStructuredText (implemented in Pytho
Closes: 685509 712284 714317 714319 714880
Changes: 
 python-docutils (0.11-1) experimental; urgency=low
 .
   [ Jakub Wilk ]
   * Remove martin f. krafft and Ben Finney from Uploaders at their requests.
 .
   [ Michael Schutte ]
   * New upstream release 0.11, closes: #712284, #714880.
     - Drop patch math-output-html.diff: Fixed upstream.
     - Drop patch fix-buildhtml-progress.diff: Applied upstream.
     - Drop patch strict-csv-parser.diff: Fixed upstream.
     - Drop patch unknown-url-exc-use-repr.diff: Applied upstream.
     - Update patch move-data-to-usr-share.diff: Default stylesheet paths for
       writers/html4css1 have changed.
     - Refresh the remaining patches.
     - New patch no-local-roman.diff: Use the roman module from python-roman
       instead of the copy shipped with docutils.
     - Update information about upstream version control in debian/copyright.
   * Change my e-mail host in Uploaders and debian/copyright to @debian.org.
   * New patch rst2odt_prepstyles-elementtree.diff: Port the rst2odt_prepstyles
     utility to ElementTree.  Drop Recommends: python-lxml.  Closes: #714319.
   * New patch odt-writer-ascii-filenames.diff: Only use ASCII for filenames of
     images embedded in ODT files, closes: #714317.
 .
   [ Dmitry Shachnev ]
   * Use dh_python2 instead of deprecated dh_pysupport.
   * Add XS-Testsuite header, and replace XS-Python-Version with preferred
     X-Python-Version (closes: #685509).
   * Add myself to Uploaders.
Checksums-Sha1: 
 1635a8eef8ae59b1f96a79a45a40319f336164dd 2037 python-docutils_0.11-1.dsc
 3894ebcbcbf8aa54ce7c3d2c8f05460544912d67 1611755 python-docutils_0.11.orig.tar.gz
 dcc96f65d672880a29b8372ddd4538ea69ee81eb 35952 python-docutils_0.11-1.debian.tar.gz
 eb4428f38deea8d007fe62722f69d164daafb976 362104 python-docutils_0.11-1_all.deb
 7fa77d825e6b183928b258e5c3f70b5faf63e7d3 358588 python3-docutils_0.11-1_all.deb
 3b7252aae2557ebb6dbf05223d03fe6226858164 185622 docutils-common_0.11-1_all.deb
 d3e9f3b8530b1cf5f8a5d4bd506571cf5e35a4f9 897410 docutils-doc_0.11-1_all.deb
Checksums-Sha256: 
 3a8cb4a829abb2400753be853fc97bf4c05c4d98e06dff05fd15dd51e128f4e9 2037 python-docutils_0.11-1.dsc
 9af4166adf364447289c5c697bb83c52f1d6f57e77849abcccd6a4a18a5e7ec9 1611755 python-docutils_0.11.orig.tar.gz
 965a4a4bcc5f5122551f8374b690b7073a46553fe90f832c274e6f8702e7d060 35952 python-docutils_0.11-1.debian.tar.gz
 e9ee5186fd1d6861772a0c21115846ff716de84af7e549f34e0d54ad19fa46a2 362104 python-docutils_0.11-1_all.deb
 b26ae27c18ff0b68a78d942941081d3a65e94fc6a9b36bc7c533261035a79b12 358588 python3-docutils_0.11-1_all.deb
 4ed630df20b248a0dd1f328648c310339ce50fff46dca94f825568c37b3146b2 185622 docutils-common_0.11-1_all.deb
 833a66cf4b96c411c5e7f1217fff717d11611855ae8138b2d959e474eb4c6641 897410 docutils-doc_0.11-1_all.deb
Files: 
 ac24a38cddd9a17de60c80075a01e8c4 2037 python optional python-docutils_0.11-1.dsc
 20ac380a18b369824276864d98ec0ad6 1611755 python optional python-docutils_0.11.orig.tar.gz
 c29ec8b6345d2453a42af0e1d65fce45 35952 python optional python-docutils_0.11-1.debian.tar.gz
 acdd6dbd9583bc60df8bee0b0757dfe6 362104 python optional python-docutils_0.11-1_all.deb
 e5f726b384eaa3197ecd3225dc060b55 358588 python optional python3-docutils_0.11-1_all.deb
 d386a6a227fcc01bcbba07db1ebad73e 185622 python optional docutils-common_0.11-1_all.deb
 c459d3f4885bfa5554832fd7a2d41b4c 897410 doc optional docutils-doc_0.11-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQEcBAEBCAAGBQJR/7yqAAoJEPPkEi8djCYaxGMH/RrVR3xvNeN452NKfwb9qhaY
7xNoB8T0laLau5SKkh15jrzMQOs2yrBNjhMpfKInWER0SNAk9ThCQeg+LmfTOFgZ
lmTum/uhC7v4Hz5naF8btfdrkj7Suq9giiuVf7jJw9fe5fM9J86VYyxN0Ef6Vx4V
mNsg29EAUX5qBlWwVXBlnx9h2bmQpklUZbK4hKfuRZqtlqcZR7zORxhnMOP7cqJS
msm3aQHQ+dhntWYBfLm7XnCVC0OhuOEhSnPsH2fcYysc4zBQxELbyoRKO7DE5uNk
29p5uGQCtH3Vtgvpoxg5f4kQBDAmk5rDk8NXOVPTIhRJQyFlkXXJ5jgl4ZfKb0o=
=g6Rw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Oct 2013 07:28:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:41:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.